Bug 476630 - SMI: LS21 dimm pair reverse
SMI: LS21 dimm pair reverse
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-utilities (Show other bugs)
1.1
x86_64 All
low Severity high
: ---
: ---
Assigned To: Red Hat Real Time Maintenance
David Sommerseth
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-16 06:10 EST by IBM Bug Proxy
Modified: 2016-05-22 19:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-12 15:25:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix LS21 ordering issue and fix small issues. (1.81 KB, text/plain)
2008-12-16 06:11 EST, IBM Bug Proxy
no flags Details
small change for ibm-prtm. (929 bytes, text/plain)
2008-12-16 06:11 EST, IBM Bug Proxy
no flags Details

  None (edit)
Description IBM Bug Proxy 2008-12-16 06:10:58 EST
=Comment: #0=================================================
KEITH MANNTHEY <kmannth@us.ibm.com> - 
Problem description:

The dimm pairs are reversed when reporting errors on the LS21 with R2. The error
should have been fixed long ago but alas. 

These patches tried to make it in right before RC1 but things went wacko. There
are a few consmetic issues (like getting rid of the crappy copyright symbols but
the changes are very minor).  This is what MRG (pre lucas) has been using. 

This needs to be updated.
=Comment: #1=================================================
KEITH MANNTHEY <kmannth@us.ibm.com> - 

small change for ibm-prtm. 

=Comment: #2=================================================
KEITH MANNTHEY <kmannth@us.ibm.com> - 

Fix LS21 ordering issue and fix small issues. 

=Comment: #3=================================================
Darren V. Hart <dvhltc@us.ibm.com> - 
(In reply to comment #2)
>  [edit]
> Fix LS21 ordering issue and fix small issues. 
> 

Believe we have a logic bug here:

> #Check if on hs21xm.
> def is_hs21():
>-	#check for 5000P memory controller
>+	#check for 5000P memory controller and HS21 in dmidecode 
> 	if os.popen("lspci | grep \"5000P Chipset Memory\"").readlines() != []:
>-		return True
>+		if os.popen("dmidecode | grep HS21").readlines() != []:
>+			return True
> 	else:
> 		return False

This patches the "is_hs21()" call to look like this:

#Check if on hs21xm.
def is_hs21():
	#check for 5000P memory controller and HS21 in dmidecode 
	if os.popen("lspci | grep \"5000P Chipset Memory\"").readlines() != []:
		if os.popen("dmidecode | grep HS21").readlines() != []:
			return True
	else:
		return False

So if we have the 5000p but we aren't an HS21, we return None, not False.  I
think it should read like this instead (remove the else, could also make the
test a an "and" instead of a nested if):

def is_hs21():
	#check for 5000P memory controller and HS21 in dmidecode 
	if os.popen("lspci | grep \"5000P Chipset Memory\"").readlines() != []:
		if os.popen("dmidecode | grep HS21").readlines() != []:
			return True
	return False


=Comment: #4=================================================
John G. Stultz <johnstul@us.ibm.com> - 
So the patches have been slightly reworked and submitted by Darren. They will be
in the final -rc3 release, which has just been built. I'm marking this as fixed
awaiting test until Keith can verify the fixes included in -rc3 are correct and
nothing else is needed.
=Comment: #5=================================================
John G. Stultz <johnstul@us.ibm.com> - 
The fixes have been included into R2-rc3. I'm going to mark this as submitted.

Keith/Vernon: if  MRG has already picked this up, this can be marked accepted.
=Comment: #7=================================================
Vernon Mauery <vernux@us.ibm.com> - 
A more recent version of ibm-prtm code has been mailed to Clark and he has included it in MRG.
=Comment: #11=================================================
Sripathi Kodi <sripathik@in.ibm.com> - 
Note to RH: Keith has already sent the patch to Clark Williams in an e-mail and AFAIK the patch has
been accepted already. Clark requested that we still mirror this bug.
Comment 1 IBM Bug Proxy 2008-12-16 06:11:03 EST
Created attachment 327086 [details]
Fix LS21 ordering issue and fix small issues.
Comment 2 IBM Bug Proxy 2008-12-16 06:11:05 EST
Created attachment 327087 [details]
small change for ibm-prtm.

Note You need to log in before you can comment on or make changes to this bug.